Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Fields and methods of the helma.Skin class.
To use this optional module, its repository needs to be added to the application, for example by calling app.addRepository('modules/helma/Skin.js')
helma Skin(source, encFlag)
Constructs a new instance of helma.Skin
parameters

String | source | The source of the skin
Boolean | encFlag | If true the source will be Base64-decoded.

methods

- valueOf()

- render(param)

- renderAsString(param)

- containsMacro(name, handler)

Methods
helma.Skin. valueOf()
Returns the source of the skin as Base64 encoded string
returns

| The source of the skin as Base64 encoded string

helma.Skin. render(param)
Renders the skin.
parameters

Object | param | An optional parameter object to pass to the skin.

helma.Skin. renderAsString(param)
Returns the rendered skin.
parameters

Object | param | An optional parameter object to pass to the skin.

helma.Skin. containsMacro(name, handler)
Returns true if the skin contains a macro with the name and optional handler passed as argument.
parameters

String | name | The name of the macro
String | handler | An optional macro handler name

returns

| True if the skin contains this macro at least once, false otherwise.

Tue, 25 Nov 2008 16:50:20 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar